Loading...
Searching...
No Matches
QXmppHttpUploadRequestIq Class Reference
Stanzas

Represents an HTTP File Upload IQ for requesting an upload slot as defined by XEP-0363: HTTP File Upload. More...

`#include <QXmppHttpUploadIq.h>`

Inheritance diagram for QXmppHttpUploadRequestIq:
[legend]
Collaboration diagram for QXmppHttpUploadRequestIq:
[legend]

## Public Member Functions

| QXmppHttpUploadRequestIq (const QXmppHttpUploadRequestIq &)
| Default copy-constructor.
| QXmppHttpUploadRequestIq (QXmppHttpUploadRequestIq &&)
| Default move-constructor.
QXmppHttpUploadRequestIq & | operator= (const QXmppHttpUploadRequestIq &)
| Default assignment operator.
QXmppHttpUploadRequestIq & | operator= (QXmppHttpUploadRequestIq &&)
| Default assignment operator.
QString | fileName () const
void | setFileName (const QString &filename)
qint64 | size () const
void | setSize (qint64 size)
QMimeType | contentType () const
void | setContentType (const QMimeType &type)
Public Member Functions inherited from QXmppIq
| QXmppIq (QXmppIq::Type type=QXmppIq::Get)
| QXmppIq (const QXmppIq &other)
| Constructs a copy of other.
| QXmppIq (QXmppIq &&)
| Default move-constructor.
QXmppIq & | operator= (const QXmppIq &other)
| Assigns other to this IQ.
QXmppIq & | operator= (QXmppIq &&)
| Move-assignment operator.
QXmppIq::Type | type () const
void | setType (QXmppIq::Type)
bool | isXmppStanza () const override
Public Member Functions inherited from QXmppStanza
| QXmppStanza (const QString &from=QString(), const QString &to=QString())
| QXmppStanza (const QXmppStanza &other)
| Constructs a copy of other.
| QXmppStanza (QXmppStanza &&)
| Move constructor.
| ~QXmppStanza () override
| Destroys a QXmppStanza.
QXmppStanza & | operator= (const QXmppStanza &other)
| Assigns other to this stanza.
QXmppStanza & | operator= (QXmppStanza &&)
| Move-assignment operator.
QString | to () const
void | setTo (const QString &)
QString | from () const
void | setFrom (const QString &)
QString | id () const
void | setId (const QString &)
QString | lang () const
void | setLang (const QString &)
QXmppStanza::Error | error () const
std::optional< Error > | errorOptional () const
void | setError (const QXmppStanza::Error &error)
void | setError (const std::optional< Error > &error)
QXmppElementList | extensions () const
void | setExtensions (const QXmppElementList &elements)
QList< QXmppExtendedAddress > | extendedAddresses () const
void | setExtendedAddresses (const QList< QXmppExtendedAddress > &extendedAddresses)
std::optional< QXmppE2eeMetadata > | e2eeMetadata () const
void | setE2eeMetadata (const std::optional< QXmppE2eeMetadata > &e2eeMetadata)
Public Member Functions inherited from QXmppNonza
virtual void | parse (const QDomElement &)=0
virtual void | toXml (QXmlStreamWriter *writer) const =0

## Additional Inherited Members

Public Types inherited from QXmppIq
enum | Type { Error = 0 , Get , Set , Result }
| This enum describes the type of IQ. More...

## Detailed Description

Represents an HTTP File Upload IQ for requesting an upload slot as defined by XEP-0363: HTTP File Upload.

Since
  QXmpp 1.1

## Member Function Documentation

## contentType()

QMimeType QXmppHttpUploadRequestIq::contentType | ( |  | ) | const

Returns the (optional) MIME-type of the file.

## fileName()

QString QXmppHttpUploadRequestIq::fileName | ( |  | ) | const

Returns the file name of the file to be uploaded.

## setContentType()

void QXmppHttpUploadRequestIq::setContentType | ( | const QMimeType & | type | ) |

Sets the MIME-type of the file. This is optional.

## setFileName()

void QXmppHttpUploadRequestIq::setFileName | ( | const QString & | fileName | ) |

Sets the file name. The upload service will use this to create the upload/ download URLs. This may also differ from the actual file name to get a different URL. It's not required to replace special characters (this is the server's job).

## setSize()

void QXmppHttpUploadRequestIq::setSize | ( | qint64 | size | ) |

Sets the file's size in bytes.

## size()

qint64 QXmppHttpUploadRequestIq::size | ( |  | ) | const

Returns the file's size in bytes.

The documentation for this class was generated from the following files:

- QXmppHttpUploadIq.h
- QXmppHttpUploadIq.cpp